<script>
	jQuery(function($) {
		var $ = jQuery;
		
		$('.imagesettings').hide();

		$('#type').change(function() {
			$('.imagesettings').hide();
			$('.textsettings').hide();

			if ( $(this).val() === 'text' ) {
				$('.textsettings').show();
			} else {
				$('.imagesettings').show();
			}
		});
	});
</script>